"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Profiles = void 0;
const pineapple_1 = require("@snapshot-labs/pineapple");
const agent_1 = require("../agent");
const abi_json_1 = __importDefault(require("./abi.json"));
const AGENT_ADDRESS = '0x0000000000000000000000000000000000000001';
class Profiles extends agent_1.Agent {
    async setProfile({ user, name, about, twitter, discord, telegram, github }) {
        const { cid } = await (0, pineapple_1.pin)({ name, about, twitter, discord, telegram, github });
        const metadataURI = `ipfs://${cid}`;
        return await this.client.send(AGENT_ADDRESS, abi_json_1.default, 'setProfile', [user, metadataURI]);
    }
    async setStatement({ user, org, statement, status }) {
        const { cid } = await (0, pineapple_1.pin)({ statement, status });
        const metadataURI = `ipfs://${cid}`;
        return await this.client.send(AGENT_ADDRESS, abi_json_1.default, 'setStatement', [user, org, metadataURI]);
    }
}
exports.Profiles = Profiles;
