import { StaticJsonRpcProvider } from '@ethersproject/providers';
import { Wallet } from '@ethersproject/wallet';
import { Profiles } from './agents/profiles';
import { Discussions } from './agents/discussions';
import { Votes } from './agents/votes';
interface ClientOptions {
    url?: string;
    provider?: StaticJsonRpcProvider;
    signer?: Wallet;
}
export declare class Client {
    url: string;
    provider: StaticJsonRpcProvider;
    signer?: Wallet;
    profiles: Profiles;
    discussions: Discussions;
    votes: Votes;
    constructor(options?: ClientOptions);
    setSigner(signer: Wallet): void;
    getUnitReceipt(hash: string): Promise<any>;
    send(address: string, abi: string[], fn: string, args: any[]): Promise<any>;
}
export {};
